#pragma once

#include <JUI/Widgets/Window.hpp>

class NewMapDialog : public JUI::Window
{
public:
	Event<> OnSubmit;

	NewMapDialog() : JUI::Window() {
		using namespace JUI::UDimLiterals;

		Name("NewMapDialog");

		level_name_field = new JUI::TextInputForm(this->Content());
		level_name_field->Size({200_px, 20_px});

		description_field = new JUI::TextInputForm(this->Content());
		description_field->Size({200_px, 20_px});
		description_field->Position({0_px, 20_px});

		author_field = new JUI::TextInputForm(this->Content());
		author_field->Size({200_px, 20_px});
		author_field->Position({0_px, 40_px});
	}

	explicit NewMapDialog(Widget* parent) : NewMapDialog()
	{
		this->Parent(parent);
	}

	void ClearFields() {

	}
protected:

	JUI::TextInputForm* level_name_field;
	JUI::TextInputForm* description_field;
	JUI::TextInputForm* author_field;

private:
};